#!/bin/bash
# LANGUAGE SELECTOR.  By Taurnil
# This script must be called after setting QTDIR. It NEEDS 3 parameters:
mypath=$1;		#  Relative path
appname=$2;  	#  langfiles header:   $appname.LANGUAGE.lang
title=$3;	 	# Applicationi name. It's the langmenu title
if [ ! -f $mypath/$appname.lang.lin ]; then
	if [ -z "$title" ];then title=$appname; fi
	if [ -f $mypath/showRadio ]; then menu=$mypath/showRadio; else menu=showRadio; fi
	langlist=$(ls $mypath | grep "$appname\..*\.lang"|sed -e s/$appname\.//g|sed -e s/\.lang//g); 
	langarray[0]="English"; index=1; #  English: default language
	for lang in $langlist; do langarray[$index]=$lang;index=$[index+1];done
	$menu "$title" "Select language:" $langlist; lang=$?;
	cp $mypath/$appname.${langarray[$lang]}.lang $mypath/$appname.lang.lin
	return 0
else
	return 1
fi
